{% extends 'base.html' %}

{% block content %}
    <main>
        <div>
            <h1>{{ project_details.name }}</h1>
            <p>{{ project_details.description }}</p>
            <h2>Tasks</h2>
            {% if not project_details.tasks.all %}<p>This project has no tasks</p>{% endif %}
            <p>
                <a href="{% url 'create_task' %}">Create a new task</a>
                <p>
                    <table>
                        {% if project_details.tasks.all %}
                            <thead>
                                <tr>
                                    <th>Name</th>
                                    <th>Assignee</th>
                                    <th>Start date</th>
                                    <th>Due date</th>
                                    <th>Is completed</th>
                                </tr>
                            </thead>
                            <tbody>
                                {% for task in project_details.tasks.all %}
                                    <tr>
                                        <td>{{ task.name }}</td>
                                        <td>{{ task.assignee }}</td>
                                        <td>{{ task.start_date }}</td>
                                        <td>{{ task.due_date }}</td>
                                        <td>
                                            {{ task.is_completed|yesno:"yes,no" }}
                                        </tr>
                                    {% endfor %}
                                </tbody>
                            </table>
                        {% endif %}
                    </div>
                </main>
            {% endblock content %}
